<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Edit User</strong></h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]='editUser' (ngSubmit)="updateUser()" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Email
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength="20" placeholder="{{ aclUser.email }}" class="form-control"
                formControlName="email">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">First Name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength="20" value="{{ aclUser.firstname }}" class="form-control" matInput
                formControlName="firstname">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Last Name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength="20" value="{{ aclUser.lastname }}" class="form-control" matInput
                formControlName="lastname">
            </div>
          </div>

          <div class="form-group" *ngIf="disabledCompany">
            <label class="col-sm-2 control-label">Company
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text " class="form-control" matInput formControlName="company" [matAutocomplete]="auto"
                placeholder="Select Company" [ngModel]="currentCompany">
              <mat-autocomplete #auto="matAutocomplete">
                <mat-option *ngFor="let item of companyData" [value]="item.company_name"
                  (onSelectionChange)="OnSelectCompany(item._id)">
                  {{ item.company_name }}
                </mat-option>
              </mat-autocomplete>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">role
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text " class="form-control" matInput formControlName="role" [matAutocomplete]="auto"
                placeholder="Role" [ngModel]="currentRole">
              <mat-autocomplete #auto="matAutocomplete">
                <mat-option *ngFor="let item of aclRoles" [value]="item.role"
                  (onSelectionChange)="OnSelectRole(item._id)">
                  {{ item.role }}
                </mat-option>
              </mat-autocomplete>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Phone Number
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength="20" value="{{ aclUser.phone_number }}" class="form-control" matInput
                formControlName="phone_number">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Priority Index
              <i aria-hidden="true" class="mandatory">* Higher index value higher Priority</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="priority" placeholder="Set priority" name="priority"
                [(ngModel)]="aclUser.priority">
                <mat-option [value]="'1'">1</mat-option>
                <mat-option [value]="'2'">2</mat-option>
                <mat-option [value]="'3'">3</mat-option>
                <mat-option [value]="'4'">4</mat-option>
                <mat-option [value]="'5'">5</mat-option>
                <mat-option [value]="'6'">6</mat-option>
                <mat-option [value]="'7'">7</mat-option>
                <mat-option [value]="'8'">8</mat-option>
                <mat-option [value]="'9'">9</mat-option>
                <mat-option [value]="'10'">10</mat-option>
              </mat-select>
            </div>
          </div>


          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <input type="submit" [disabled]="editUser.status === 'INVALID' || showLoader" class="btn btn-primary"
                value="Save">
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/role-management/user-list']">Cancel</button>
            </div>
          </div>

        </form>
      </div>
    </div>
  </div>
</div>